Package org.eclipse.m2m.atl.engine.vm

# Class ASMReader

java.lang.Object
org.eclipse.m2m.atl.engine.vm.ASMReader

public abstract class ASMReader extends Object

## Constructor Summary

Constructors
Constructor
Description
`ASMReader()`

## Method Summary

Modifier and Type
Method
Description
`abstract ASM`
`read(InputStream in)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ASMReader

public ASMReader()

## Method Details

### read

public abstract ASM read(InputStream in)